random.hpp File Reference

GLM_GTC_random More...

Go to the source code of this file.

## Functions

template<typename T >
GLM_FUNC_DECL tvec3< T, defaultp > | ballRand (T Radius)
| Generate a random 3D vector which coordinates are regulary distributed within the volume of a ball of a given radius. More...
template<typename T >
GLM_FUNC_DECL tvec2< T, defaultp > | circularRand (T Radius)
| Generate a random 2D vector which coordinates are regulary distributed on a circle of a given radius. More...
template<typename T >
GLM_FUNC_DECL tvec2< T, defaultp > | diskRand (T Radius)
| Generate a random 2D vector which coordinates are regulary distributed within the area of a disk of a given radius. More...
template<typename genType >
GLM_FUNC_DECL genType | gaussRand (genType Mean, genType Deviation)
| Generate random numbers in the interval [Min, Max], according a gaussian distribution. More...
template<typename genTYpe >
GLM_FUNC_DECL genTYpe | linearRand (genTYpe Min, genTYpe Max)
| Generate random numbers in the interval [Min, Max], according a linear distribution. More...
template<typename T , precision P, template< typename, precision > class vecType>
GLM_FUNC_DECL vecType< T, P > | linearRand (vecType< T, P > const &Min, vecType< T, P > const &Max)
| Generate random numbers in the interval [Min, Max], according a linear distribution. More...
template<typename T >
GLM_FUNC_DECL tvec3< T, defaultp > | sphericalRand (T Radius)
| Generate a random 3D vector which coordinates are regulary distributed on a sphere of a given radius. More...

## Detailed Description

GLM_GTC_random

See also
  GLM Core (dependence)
  gtx_random (extended)

Definition in file random.hpp.